<?php
/**
 * PerfGroupeNodeMigration
 * 
 */
class PerfDimpNodeMigration extends PerfDocsNodeMigration {
  public function __construct() {
		
		$this->description = t('Migrate Document Imprimé Class');

		$this->fields = array(
			'fichier_pdf' => t('fichier_pdf'),
    );

    $this->itemsfile = 'baseperf-dimps.xml';

    $this->item_xpath = '/ROOT/ITEMS/DOC_IMPRIME';  // relative to document		
    
    parent::__construct();

    
    $this->addFieldMapping('field_type')->defaultValue('imprime');

    $this->addFieldMapping('field_fichier_pdf', 'fichier_pdf')
        ->xpath('@FICHIER_PDF');
  
    $this->addUnmigratedDestinations(array(
      'field_fichier_pdf:language', 'field_fichier_pdf:format',
      // 'field_resume_retranscription', 'field_resume_retranscription:format', 'field_resume_retranscription:language',
    ));
  }
  
  //   public function prepareRow($row){
  //     // $xml = $row->xml;
  //     parent::prepareRow($row);
  //  
  //  
  // }
	
	
}